Debian Bug report logs - #53846
cbb: y2k date problem.

version graph

Package: cbb; Maintainer for cbb is (unknown);

Reported by: Corey R. Halpin <crhalpin@students.wisc.edu>

Date: Sun, 2 Jan 2000 00:03:38 UTC

Severity: fixed

Merged with 54569, 54597, 54928

Found in version 0.78-3

Done: Philippe Troin <phil@fifi.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philippe Troin <phil@fifi.org>:
Bug#53846; Package cbb. Full text and rfc822 format available.

Acknowledgement sent to Corey R. Halpin <crhalpin@students.wisc.edu>:
New Bug report received and forwarded. Copy sent to Philippe Troin <phil@fifi.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Corey R. Halpin <crhalpin@students.wisc.edu>
To: submit@bugs.debian.org
Subject: cbb: y2k date problem.
Date: Sat, 01 Jan 2000 17:52:14 -0600
Package: cbb
Version: 0.78-3
Severity: important

  Dates after 2000, instead of being recorded as "1.1.00" are recorded as "1.1.100"

-- System Information
Debian Release: potato
Kernel Version: Linux hobbes 2.2.13 #1 Sun Dec 26 05:07:56 /etc/localtime 1999 i686 unknown

Versions of the packages cbb depends on:
ii  perl-5.004      5.004.05-4.1   Larry Wall's Practical Extracting and Report
	^^^ (Provides virtual package perl5)
ii  tk8.2           8.2.2-1        The Tk toolkit for TCL and X11 v8.2 - Run-Ti
	^^^ (Provides virtual package wish)


Information forwarded to debian-bugs-dist@lists.debian.org, Philippe Troin <phil@fifi.org>:
Bug#53846; Package cbb. Full text and rfc822 format available.

Acknowledgement sent to Brian Almeida <bma@debian.org>:
Extra info received and forwarded to list. Copy sent to Philippe Troin <phil@fifi.org>. Full text and rfc822 format available.

Message #10 received at 53846@bugs.debian.org (full text, mbox):

From: Brian Almeida <bma@debian.org>
To: 53846@bugs.debian.org
Subject: new upstream version fixes this
Date: Mon, 3 Jan 2000 20:07:49 -0500
http://cbb.sourceforge.net has a fixed upstream version.


Severity set to `important'. Request was from Kevin Dalley <kevind@rahul.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Brian Almeida <bma@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 53846 54569 54597 54928. Request was from Brian Almeida <bma@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Vincent Renardias <vincent@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Philippe Troin <phil@fifi.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Corey R. Halpin <crhalpin@students.wisc.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 53846-close@bugs.debian.org (full text, mbox):

From: Philippe Troin <phil@fifi.org>
To: 53846-close@bugs.debian.org
Subject: Bug#53846: fixed in cbb 1:0.8.1-2
Date: 28 Feb 2000 09:15:10 -0000
We believe that the bug you reported is fixed in the latest version of
cbb, which has been installed in the Debian FTP archive:
cbb_0.8.1-2.diff.gz
  to dists/potato/main/source/misc/cbb_0.8.1-2.diff.gz
  replacing cbb_0.81-0.2.diff.gz
cbb_0.8.1-2.diff.gz
  to dists/woody/main/source/misc/cbb_0.8.1-2.diff.gz
  replacing cbb_0.81-0.2.diff.gz
cbb_0.8.1-2.dsc
  to dists/potato/main/source/misc/cbb_0.8.1-2.dsc
  replacing cbb_0.81-0.2.dsc
cbb_0.8.1-2.dsc
  to dists/woody/main/source/misc/cbb_0.8.1-2.dsc
  replacing cbb_0.81-0.2.dsc
cbb_0.8.1-2_all.deb
  to dists/potato/main/binary-all/misc/cbb_0.8.1-2.deb
  replacing cbb_0.81-0.2.deb
cbb_0.8.1-2_all.deb
  to dists/woody/main/binary-all/misc/cbb_0.8.1-2.deb
  replacing cbb_0.81-0.2.deb
cbb_0.8.1.orig.tar.gz
  to dists/potato/main/source/misc/cbb_0.8.1.orig.tar.gz
  replacing cbb_0.81.orig.tar.gz
cbb_0.8.1.orig.tar.gz
  to dists/woody/main/source/misc/cbb_0.8.1.orig.tar.gz
  replacing cbb_0.81.orig.tar.gz

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 53846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philippe Troin <phil@fifi.org> (supplier of updated cbb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Sun, 27 Feb 2000 22:55:14 -0800
Source: cbb
Binary: cbb
Architecture: source all
Version: 1:0.8.1-2
Distribution: frozen unstable
Urgency: low
Maintainer: Philippe Troin <phil@fifi.org>
Description: 
 cbb        - The Check-Book Balancer - a Quicken clone
Closes: 22325 53846 54569 54597 54928 55764 56062 56148 56780 56800
Changes: 
 cbb (1:0.8.1-2) frozen unstable; urgency=low
 .
   * Package for potato, cleaning up the mess from 0.81-0.1.
     closes: #56780, #56800.
     closes: #56062: Cannot install (actually, I'm upgrading).
     closes: #55764: post-installation script error in configuring cbb.
     closes: #56148: CBB forgotten y2k bug.
   * Fixed by previous NMUs, now really closing.
     closes: #53846: y2k date problem.
     closes: #54569: CBB has Y2K issues in transaction display.
     closes: #54597: NOT Y2K COMPLIANT.
     closes: #54928: y2k is showed as 100.
     closes: #22325: Not Y2K compliant.
Files: 
 28ce2b2546afdfbfa53ffdb5de73e7ef 547 misc optional cbb_0.8.1-2.dsc
 332d36a5a55d0b166be7478edaf046ba 6484 misc optional cbb_0.8.1-2.diff.gz
 9a870fde899ed14b165a8363791ceb2b 237802 misc optional cbb_0.8.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.0 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAji6I8AACgkQMrxzW26vf4depQCghIPicP8Elei+OB+mOvWBe/k/
1AYAnA59VXYdylYeaXvgROSFqXUX4NWS
=GJ/7
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:29:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.